Trillet AI logo

Get Workspace by ID

Retrieve detailed information about a specific workspace where the authenticated user is either the owner or a team member.

GEThttps://api.trillet.ai/v1/api/workspaces/{workspaceId}

Headers

x-workspace-idstringrequired

A workspace where your role has workspace:view. Permissions are checked against this header, so it's normally the same workspace as workspaceId.

Path Parameters

workspaceIdstringrequired

The unique identifier of the workspace to retrieve.

Description

This endpoint returns the details of a specific workspace if the authenticated user is authorized to access it. The user must be either:

  • The owner of the workspace, or
  • A team member of the workspace (internal or external).

If the workspace is not found or you aren't its owner or a member, 404 {"error": "Workspace not found"} is returned. The response object carries many more fields than listed below (billing, plan, white-label and feature settings).

Response Fields

_idstring

Unique identifier of the workspace.

namestring

Name of the workspace.

initialsstring

Initials of the workspace.

teamMembersarray

List of team members associated with the workspace.

createdAtstring

ISO 8601 timestamp when the workspace was created.

updatedAtstring

ISO 8601 timestamp when the workspace was last updated.

Last updated on